Create a connection
Create a new connection between a source and a destination.
POST
/connections
Create a new connection between a source and a destination.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Request Body required
Request body
application/jsonorg_id
string
Organization ID (defaults to auth context)
env_id
string
Environment ID (defaults to auth context)
source_id
string
REQUIRED
Source ID to connect from
destination_id
string
REQUIRED
Destination ID to connect to
name
string
REQUIRED
Connection name
description
string
Connection description
filter_rules
object[]
Content-based filter rules
Array of:
enabled
boolean
Whether the connection is enabled
transform_enabled
boolean
Enable JSONata transform
transform_expression
string
JSONata transform expression
Responses
201
Created connection
application/jsonconnection
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
source_id
string
REQUIRED
destination_id
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
enabled
integer
REQUIRED
filter_rules
string | null
REQUIRED
status
string
REQUIRED
event_count
integer
REQUIRED
last_event_at
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
transform_enabled
integer
REQUIRED
transform_expression
string | null
REQUIRED
source_name
string | null
REQUIRED
destination_name
string | null
REQUIRED
400
Validation error
401
Unauthorized
404
Source or destination not found
curl -X POST 'https://hookstream.io/v1/connections' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "org_id": "string", "env_id": "string", "source_id": "string", "destination_id": "string", "name": "string", "description": "string", "filter_rules": [ {} ], "enabled": true, "transform_enabled": true, "transform_expression": "string"}'
const response = await fetch('https://hookstream.io/v1/connections', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "org_id": "string", "env_id": "string", "source_id": "string", "destination_id": "string", "name": "string", "description": "string", "filter_rules": [ {} ], "enabled": true, "transform_enabled": true, "transform_expression": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/connections', headers=headers, json={ "org_id": "string", "env_id": "string", "source_id": "string", "destination_id": "string", "name": "string", "description": "string", "filter_rules": [ {} ], "enabled": true, "transform_enabled": true, "transform_expression": "string"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "org_id": "string", "env_id": "string", "source_id": "string", "destination_id": "string", "name": "string", "description": "string", "filter_rules": [ {} ], "enabled": true, "transform_enabled": true, "transform_expression": "string"}`) req, _ := http.NewRequest("POST", "https://hookstream.io/v1/connections", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
201
Response
{ "connection": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "source_id": "<string>", "destination_id": "<string>", "name": "<string>", "description": "<string>", "enabled": 123, "filter_rules": "<string>", "status": "<string>", "event_count": 123, "last_event_at": "<string>", "created_at": "<string>", "updated_at": "<string>", "transform_enabled": 123, "transform_expression": "<string>", "source_name": "<string>", "destination_name": "<string>" }}
API Playground
Try this endpoint
POST
/connections